# Uses of Interface
org.eclipse.birt.report.engine.content.ICellContent

Packages that use ICellContent
Package
Description
org.eclipse.birt.report.engine.content
Defines interfaces of BIRT report items for Engine to pass from executors to emitters.
org.eclipse.birt.report.engine.emitter
Defines the interfaces of report emitters, and also provides serval general classes for emitters to output XML document, process hyperline, etc.

## Uses of ICellContent in org.eclipse.birt.report.engine.content

Methods in org.eclipse.birt.report.engine.content that return ICellContent
Modifier and Type
Method
Description
`ICellContent`
IReportContent.`createCellContent()`
create a cell content.
Methods in org.eclipse.birt.report.engine.content with parameters of type ICellContent
Modifier and Type
Method
Description
`Object`
IContentVisitor.`visitCell(ICellContent cell, Object value)`
visit cell content object

## Uses of ICellContent in org.eclipse.birt.report.engine.emitter

Methods in org.eclipse.birt.report.engine.emitter with parameters of type ICellContent
Modifier and Type
Method
Description
`void`
IContentEmitter.`endCell(ICellContent cell)`
End cell
`void`
IContentEmitter.`startCell(ICellContent cell)`
Start cell